%% ¼ì²â Phi ÖÐ mutual difference, ±£´æ uniqueµÄÁÐ
function [Max,C] = Max_differ(A,epsilon)
if nargin<2
    epsilon = 1e-4;
end
 [r,c] = size(A);

 Max = zeros(c*(c-1),1);
 C = A;
jt = 0;
 for i = 1:c
     for j = i+1:c
         jt = jt+1;
         a = A(:,i);
         b = A(:,j);
         m = (a'*b)/sqrt(((a'*a)*(b'*b)));
         Max(jt) = m;
         if abs(m-1) <epsilon
             C(:,j) = Inf;
         end     
     end
 end
 max_d = max(Max);
 
[I_c,J_c] = find(isinf(C));
C(:,J_c) = [];
B = C; %return
        
        
end